package com.neusoft.smart.pos.member.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum MemberErrorCode implements CommonCode {
    MEMBER_CARD_BALANCE_CHANGE_ERROR("11001", "会员卡金额变更失败,请重试"),
    MEMBER_CARD_CAN_NOT_USE("11002", "会员卡不可用"),
    MEMBER_CARD_NOT_EXIST("11003", "会员卡不存在"),
    MEMBER_CARD_INSUFFICIENT_BALANCE("11004", "会员卡余额不足"),
    MEMBER_EXISTS("11005", "会员已存在，请更换手机号/会员卡片注册"),
    MEMBER_CARD_BOUNDED("11006", "会员卡已绑定"),
    MEMBER_CARD_NUM_DUPLICATE("11007", "会员卡号重复"),
    DEVICE_INFO_NOT_FOUND("11008", "获取不到设备信息"),
    NO_CARD_NUM_OR_MOBILE_PROVIDED("11009", "未提供卡号或电话"),
    NO_STORE_PROVIDED("11010", "未提供门店id"),
    INVALID_MEMBER_NAME("11011", "会员名不合法"),
    INVALID_MEMBER_MOBILE("11012", "手机号不合法"),
    MEMBER_NOT_FOUND("11013", "会员不存在"),
    CANNOT_LOCATE_MEMBER_LEVEL("11014", "找不到合适的会员卡等级"),
    MEMBER_CARD_POINT_SHORTAGE("11015", "会员卡积分不足"),
    WRONG_MEMBER_CARD_PASSWORD("11016", "会员卡密码错误"),
    NO_ORG_PROVIDED("11017", "未提供集团id"),
    UNKNOWN_USER_ROLE("11018", "unknown user role"),
    INVALID_DISCOUNT("11019", "非法折扣值"),
    ORDER_NUM_DUPLICATE("11020", "请勿重复扣款"),
    RECHARGE_NUM_DUPLICATE("11021", "请勿重复充值"),
    REFUND_NUM_DUPLICATE1("11022", "请勿重复退款"),
    CANTEEN_CARD_NOT_NULL("11023", "印刷卡号和内部hid卡号不可为空"),
    CANTEEN_CARD_CHANGE_ERROR("11024", "只有正常状态的卡可以换卡"),
    CANTEEN_MEMBER_EXISTS("11025", "已开卡，如果想再开卡请先注销原始卡"),
    BUSINESS_CODE_NOT_EXISTS("11026", "业务编码不存在"),
    NULL_MEMBER_CARD_PASSWORD("11027", "卡密码不可为空"),
    NOT_YOUR_CARD("11028", "不是该会员的卡"),
    INVALID_DATA("11029", "数据不可用"),
    ;
    
    private String code;
    
    private String message;
    
    private MemberErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getMessage() {
        return message;
    }
    
    public void setMessage(String message) {
        this.message = message;
    }
    
}
